Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util
Class Option.Interval

    java.lang.Object
      avrora.util.Option
          avrora.util.Option.Interval

Enclosing class:
  Option

public static class Option.Interval
extends Option

The `Option.Long` class is an implementation of the `Option` class that encapsulates a long integer value.

Nested Class Summary

Nested classes inherited from class avrora.util.Option
`Option.Bool, Option.Double, Option.Interval, Option.List, Option.Long, Option.Str`

Field Summary
`protected long` | `default_high` The `default_high` field stores the default (initial) high value for this option.
`protected long` | `default_low` The `default_low` field stores the default (initial) low value for this option.
`protected long` | `high`
`protected long` | `low`

Fields inherited from class avrora.util.Option
`COMPARATOR, description, name`

Constructor Summary
`Option.Interval(java.lang.String nm, long l, long h, java.lang.String desc)` The constructor for the `Option.Interval` class creates a new option that can store an interval which is denoted by a low integer and a high integer.

Method Summary
`long` | `getHigh()` The `getHigh()` method returns the current highest value of the interval for this option.
`long` | `getLow()` The `getLow()` method returns the current lowest value of the interval for this option.
`void` | `printHelp()` The `printHelp()` method prints out a textual paragraph of the help item for this option to the terminal.
`void` | `set(java.lang.String val)` The `set()` method updates the value of the option.
`java.lang.String` | `stringValue()` The `stringValue()` method returns a string representation of the value of the option.

Methods inherited from class avrora.util.Option
`getName, parseError, printDescription, printHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### default_low

    protected final long default_low

  The `default_low` field stores the default (initial) low value for this option. It is used in reporting the help item.

### default_high

    protected final long default_high

  The `default_high` field stores the default (initial) high value for this option. It is used in reporting the help item.

### low

    protected long low

### high

    protected long high

Constructor Detail

### Option.Interval

    public Option.Interval(java.lang.String nm,
                           long l,
                           long h,
                           java.lang.String desc)

  The constructor for the `Option.Interval` class creates a new option that can store an interval which is denoted by a low integer and a high integer. It is given an option name, a help description, and a default value.

Parameters:
  `nm` - the string name of the option
  `l` - the default lowest value of the interval
  `h` - the default highest value of the interval
  `desc` - the description of the option

Method Detail

### set

    public void set(java.lang.String val)

  The `set()` method updates the value of the option.

  Specified by:
    `set` in class `Option`
  Parameters:
    `val` - a string representation of the new value of the option.

### getLow

    public long getLow()

  The `getLow()` method returns the current lowest value of the interval for this option.

  Returns:
    the lowest value of the interval as a long.

### getHigh

    public long getHigh()

  The `getHigh()` method returns the current highest value of the interval for this option.

  Returns:
    the highest value of the interval as a long.

### stringValue

    public java.lang.String stringValue()

  The `stringValue()` method returns a string representation of the value of the option. This is used in debugging and reporting purposes.

  Specified by:
    `stringValue` in class `Option`
  Returns:
    a string representation of the value of the option.

### printHelp

    public void printHelp()

  The `printHelp()` method prints out a textual paragraph of the help item for this option to the terminal.

  Specified by:
    `printHelp` in class `Option`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD